Lua_MainLineNewChapterWindow = class("Lua_MainLineNewChapterWindow", Lua_Window)
function Lua_MainLineNewChapterWindow:ctor()
	self:superCall("ctor")

	self.windowName = "Lua_MainLineNewChapterWindow"
	self.skinName = "MainLineNewChapterWindow_skin"
	self.showBlackMask = true
	self.isClickClose = true
end

function Lua_MainLineNewChapterWindow:buildShowItem()
	self:superCall("buildShowItem")
	self.btnGoto:addClickFuntion(self, self.onGotoBtnClick)
end

function Lua_MainLineNewChapterWindow:dispose()
	self:superCall("dispose")
end

function Lua_MainLineNewChapterWindow:showWin(param)
	self:superCall("showWin", param)
	local config = Lua_MainLineCheckpointConfigData.getConfig(param)
	self.chapterText.text = LanUtil.formateStr(307000, convert_arab_to_chinese(config.chapter_id))

	config = Lua_MainLineChapterConfigData.getConfig(config.chapter_id)
	self.nameText.text = config.name
	self.desText.text = config.des
end

function Lua_MainLineNewChapterWindow:onGotoBtnClick(go)
	Lua_ProxyManager.getProxy("Lua_MainLineProxy"):sAdvance()
	self:hide()
end