Lua_HookIncomeTipsWindow = class("Lua_HookIncomeTipsWindow", Lua_Window)
function Lua_HookIncomeTipsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_HookIncomeTipsWindow";
	self.skinName = "HookIncomeTipsWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_HookIncomeTipsWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.hourNum = Lua_NumberImage.new(self.content);
	self.hourNum.pivot = 1;
	self.hourNum:setLocation(79, 50, 0);
	self.hourNum.numAtlas = "number"
	self.hourNum.preStr = "xui_zxtt_number_";

	self.btnGoto:addClickFuntion(self, self.onGotoBtnClick);
end

function Lua_HookIncomeTipsWindow:dispose()
	if self.hourNum then
		self.hourNum:dispose();
		self.hourNum = nil;
	end
	self:superCall("dispose");
end

function Lua_HookIncomeTipsWindow:showWin(param)
	self:superCall("showWin", param);
	
	local str = "";
	local len = string.len(param);
	for i = 1, len do
		str = LanUtil.StringProfile(str, Lua_SpaceDefine.SPACE_4);
	end
	self.desText.text = LanUtil.formateStr(307047, str);
	self.hourNum.num = param;
end

function Lua_HookIncomeTipsWindow:onGotoBtnClick(go)
	DataCenter.funcPathUtil:gotoFunction(1005, true)
end